"use strict";
var __webpack_exports__ = {};
const e2e_namespaceObject = require("@tachybase/test/e2e");
e2e_namespaceObject.test.describe('where filter form block can be added', ()=>{
    (0, e2e_namespaceObject.test)('page', async (param)=>{
        let { page, mockPage } = param;
        await mockPage().goto();
        await page.getByLabel('schema-initializer-Grid-page:addBlock').hover();
        await (0, e2e_namespaceObject.createBlockInPage)(page, 'Filter form');
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CardItem-users-filter-form')).toBeVisible();
    });
});
e2e_namespaceObject.test.describe('configure fields', ()=>{
    (0, e2e_namespaceObject.test)('display collection fields & display association fields & add text', async (param)=>{
        let { page, mockPage } = param;
        await mockPage(e2e_namespaceObject.oneEmptyFilterFormBlock).goto();
        const formItemInitializer = page.getByLabel('schema-initializer-Grid-filterForm:configureFields-general');
        await formItemInitializer.hover();
        await page.getByRole('menuitem', {
            name: 'ID',
            exact: true
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'ID',
            exact: true
        }).getByRole('switch')).toBeChecked();
        await page.mouse.move(300, 0);
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CollectionField-general-filter-form-general.id-ID')).toBeVisible();
        await formItemInitializer.hover();
        await page.getByRole('menuitem', {
            name: 'ID',
            exact: true
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'ID',
            exact: true
        }).getByRole('switch')).not.toBeChecked();
        await page.mouse.move(300, 0);
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CollectionField-general-filter-form-general.id-ID')).not.toBeVisible();
        await formItemInitializer.hover();
        await page.getByRole('menuitem', {
            name: 'Many to one'
        }).nth(1).hover();
        await page.getByRole('menuitem', {
            name: 'Nickname'
        }).click();
        await page.getByRole('menuitem', {
            name: 'Many to one'
        }).nth(1).hover();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Nickname'
        }).getByRole('switch')).toBeChecked();
        await page.mouse.move(300, 0);
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CollectionField-general-filter-form-general.manyToOne.nickname')).toBeVisible();
        await formItemInitializer.hover();
        await page.getByRole('menuitem', {
            name: 'Many to one'
        }).nth(1).hover();
        await page.getByRole('menuitem', {
            name: 'Nickname'
        }).click();
        await page.getByRole('menuitem', {
            name: 'Many to one'
        }).nth(1).hover();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Nickname'
        }).getByRole('switch')).not.toBeChecked();
        await page.mouse.move(300, 0);
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CollectionField-general-filter-form-general.manyToOne.nickname')).not.toBeVisible();
        await formItemInitializer.hover();
        await page.getByRole('menuitem', {
            name: 'Add text'
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-Markdown.Void-general-filter-form')).toBeVisible();
    });
    e2e_namespaceObject.test.pgOnly('display inherit fields', async (param)=>{
        let { page, mockPage } = param;
    });
});
e2e_namespaceObject.test.describe('configure actions', ()=>{
    (0, e2e_namespaceObject.test)('filter & reset', async (param)=>{
        let { page, mockPage } = param;
        await mockPage(e2e_namespaceObject.oneEmptyFilterFormBlock).goto();
        await page.getByLabel('schema-initializer-ActionBar-filterForm:configureActions-general').hover();
        await page.getByRole('menuitem', {
            name: 'Filter'
        }).click();
        await page.getByRole('menuitem', {
            name: 'Reset'
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Filter'
        }).getByRole('switch')).toBeChecked();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Reset'
        }).getByRole('switch')).toBeChecked();
        await page.mouse.move(300, 0);
        await (0, e2e_namespaceObject.expect)(page.getByLabel('action-Action-Filter-submit-general-filter-form')).toBeVisible();
        await (0, e2e_namespaceObject.expect)(page.getByLabel('action-Action-Reset-general-filter-form')).toBeVisible();
        await page.getByLabel('schema-initializer-ActionBar-filterForm:configureActions-general').hover();
        await page.getByRole('menuitem', {
            name: 'Filter'
        }).click();
        await page.getByRole('menuitem', {
            name: 'Reset'
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Filter'
        }).getByRole('switch')).not.toBeChecked();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Reset'
        }).getByRole('switch')).not.toBeChecked();
        await page.mouse.move(300, 0);
        await (0, e2e_namespaceObject.expect)(page.getByLabel('action-Action-Filter-submit-general-filter-form')).not.toBeVisible();
        await (0, e2e_namespaceObject.expect)(page.getByLabel('action-Action-Reset-general-filter-form')).not.toBeVisible();
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
